net.corda.node.services.network

## Class NetworkMapService.QueryIdentityRequest

- net.corda.node.services.network.NetworkMapService.QueryIdentityRequest

- All Implemented Interfaces:
    ServiceRequestMessage
  Enclosing interface:
    NetworkMapService

      public static class NetworkMapService.QueryIdentityRequest
      implements ServiceRequestMessage

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryIdentityRequest(Party identity, SingleMessageRecipient replyTo, long sessionID)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Party` | `getIdentity()`
    `SingleMessageRecipient` | `getReplyTo()`
    `long` | `getSessionID()`

    - ### Methods inherited from interface net.corda.flows.ServiceRequestMessage

      `getReplyTo, getSessionID`

- - ### Constructor Detail

    - #### QueryIdentityRequest

          public QueryIdentityRequest(Party identity,
                                      SingleMessageRecipient replyTo,
                                      long sessionID)

  - ### Method Detail

    - #### getIdentity

          public Party getIdentity()

    - #### getReplyTo

          public SingleMessageRecipient getReplyTo()

    - #### getSessionID

          public long getSessionID()